<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ldt.user.mapper.MemberMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="memberResultMap" type="org.springblade.ldt.user.entity.Member">
        <id column="id" property="id"/>
        <result column="user_id" property="userId"/>
        <result column="mall_id" property="mallId"/>
        <result column="shop_id" property="shopId"/>
        <result column="pay_total" property="payTotal"/>
        <result column="point_total" property="pointTotal"/>
        <result column="point_value" property="pointValue"/>
        <result column="type" property="type"/>
    </resultMap>


    <select id="selectMemberPage" resultMap="memberResultMap">
        select * from ldt_member where is_deleted = 0
    </select>

</mapper>
